archlinux: Support for working with Arch Linux packages

[ bsd3, deprecated, distribution, library ] [ Propose Tags ]
Versions 0.1, 0.2, 0.2.1, 0.2.2, 0.2.3, 0.2.4, 0.3, 0.3.1, 0.3.2, 0.3.3, 0.3.4, 0.3.5, 0.3.6, 1.0, 1.1, 1.2, 1.3
Dependencies base (>=4 && <6), Cabal (>=1.6), containers, directory, filepath, HTTP, json, old‑time, parallel, pretty, prettyclass, process, strict‑concurrency, xhtml [details]
License BSD-3-Clause
Author Don Stewart <>
Maintainer Don Stewart <>
Category Distribution
Home page
Uploaded by DonaldStewart at Sun Aug 16 20:19:30 UTC 2009
Distributions NixOS:1.3
Downloads 6949 total (52 in the last 30 days)
Rating (no votes yet) [estimated by rule of succession]
Your Rating
  • λ
  • λ
  • λ
Status Docs uploaded by user
Build status unknown [no reports yet]
Hackage Matrix CI

Support for working with Arch Linux packages

To get info about a package:

info "xmonad"

To find packages matching a string:

search "xmonad"

Check status of a list of packages against AUR and Hackage:

report ["xmonad"]

See also the cabal2arch tool for conversion between Hackage and AUR.




Maintainer's Corner

For package maintainers and hackage trustees